## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autochangelog
## END: Set by rpmautospec

# Generated by rust2rpm 26
%bcond_without check

# prevent library files from being installed
%global cargo_install_lib 0

Name:           totpm
Version:        0.1.2
Release:        1%{?dist}
Summary:        A TPM-backed command line TOTP client. Like Google Authenticator in your terminal.

SourceLicense:  MIT
License:        MIT
URL:            https://github.com/koditoriet/totpm
Source0:        totpm-%{version}.tar.gz
Source1:        totpm.sysusers

BuildRequires:  swtpm
BuildRequires:  cargo-rpm-macros >= 26
BuildRequires:  systemd-rpm-macros
%{?sysusers_requires_compat}

%global _description %{expand:
%{summary}.}

%description %{_description}

%prep
%autosetup -n totpm-%{version} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build
%{cargo_license_summary}
%{cargo_license} > LICENSE.dependencies

%install
%cargo_install
install -p -D -m 0644 %{SOURCE1} %{buildroot}%{_sysusersdir}/totpm.conf
install -p -D -m 0644 totpm.conf %{buildroot}/etc/totpm.conf
mkdir -p %{buildroot}/var/lib/totpm

%pre
%sysusers_create_compat %{SOURCE1}

%if %{with check}
%check
%cargo_test
%endif

%files
%attr(0644, root, root) %{_sysusersdir}/totpm.conf
%config %attr(0644, root, root) /etc/totpm.conf
%attr(0644, root, root) %license LICENSE
%attr(0644, root, root) %license LICENSE.dependencies
%attr(4755, totpm, totpm) %{_bindir}/totpm
%dir %attr(0700, totpm, totpm) /var/lib/totpm

%changelog
## START: Generated by rpmautospec
* Thu Nov 14 2024 Anton Ekblad <anton@ekblad.cc> - 0.1.2-4
- Fix COPR build.

* Tue Nov 12 2024 Anton Ekblad <anton@ekblad.cc> - 0.1.2-2
- Fix permission issue with gen command on system install.

* Tue Nov 12 2024 Anton Ekblad <anton@ekblad.cc> - 0.1.2-1
- Fix RPM build and bump version.

* Mon Nov 11 2024 Anton Ekblad <anton@ekblad.cc> - 0.1.1-9
- Add JSON batch import.

* Fri Sep 13 2024 Anton Ekblad <anton@ekblad.cc> - 0.1.1-7
- Explicitly specify X64 runners.

* Tue Sep 10 2024 Anton Ekblad <anton@ekblad.cc> - 0.1.1-5
- Version database schema. Fixes #9.

* Tue Sep 10 2024 Anton Ekblad <anton@ekblad.cc> - 0.1.1-4
- Don't verify presence until after secret disambiguation. Fixes #5.

* Tue Sep 10 2024 Anton Ekblad <anton@ekblad.cc> - 0.1.1-3
- List secrets alphabetically. Fixes #8.

* Mon Sep 09 2024 Anton Ekblad <anton@ekblad.cc> - 0.1.1-1
- Bump version to 0.1.1.

* Mon Sep 09 2024 Anton Ekblad <anton@ekblad.cc> - 0.1.0-27
- Run clippy and unit tests on push.

* Mon Sep 09 2024 Anton Ekblad <anton@ekblad.cc> - 0.1.0-26
- Move Fedora package build into Podman.

* Mon Sep 09 2024 Anton Ekblad <anton@ekblad.cc> - 0.1.0-24
- Use || instead of CONCAT for better SQLite compatibility.

* Mon Sep 09 2024 Anton Ekblad <anton@ekblad.cc> - 0.1.0-23
- Enable Copr builds.

* Sun Sep 08 2024 Anton Ekblad <anton@ekblad.cc> - 0.1.0-22
- Add srpm target to makefile.

* Sun Sep 08 2024 Anton Ekblad <anton@ekblad.cc> - 0.1.0-21
- Linter fixes.

* Sun Sep 08 2024 Anton Ekblad <anton@ekblad.cc> - 0.1.0-20
- Add installation instructions.

* Sun Sep 08 2024 Anton Ekblad <anton@ekblad.cc> - 0.1.0-19
- Fix RPM build on Fedora 39.

* Sun Sep 08 2024 Anton Ekblad <anton@ekblad.cc> - 0.1.0-18
- Fix RPM build on Fedora 41.

* Sun Sep 08 2024 Anton Ekblad <anton@ekblad.cc> - 0.1.0-17
- fixup! Default TPM config to device:/dev/tpmrm0.

* Sun Sep 08 2024 Anton Ekblad <anton@ekblad.cc> - 0.1.0-16
- Allow lowercase base32 secrets.

* Sun Sep 08 2024 Anton Ekblad <anton@ekblad.cc> - 0.1.0-15
- Print accounts as "service (account)" instead of "account @ service".

* Sun Sep 08 2024 Anton Ekblad <anton@ekblad.cc> - 0.1.0-14
- Default TPM config to device:/dev/tpmrm0.

* Sun Sep 08 2024 Anton Ekblad <anton@ekblad.cc> - 0.1.0-13
- Add README.

* Sun Sep 08 2024 Anton Ekblad <anton@ekblad.cc> - 0.1.0-12
- Don't drop privileges until after wiping auth value from memory.

* Sun Sep 08 2024 Anton Ekblad <anton@ekblad.cc> - 0.1.0-11
- Add helpful error messages for TOTP store errors.

* Sun Sep 08 2024 Anton Ekblad <anton@ekblad.cc> - 0.1.0-10
- Minor Fedora packaging fixes.

* Sun Sep 08 2024 Anton Ekblad <anton@ekblad.cc> - 0.1.0-9
- Print helpful error messages.

* Sun Sep 08 2024 Anton Ekblad <anton@ekblad.cc> - 0.1.0-8
- Add Fedora package tests.

* Sun Sep 08 2024 Anton Ekblad <anton@ekblad.cc> - 0.1.0-7
- fixup! Better Fedora Makefile targets.

* Sun Sep 08 2024 Anton Ekblad <anton@ekblad.cc> - 0.1.0-6
- Explicitly set release version.

* Sun Sep 08 2024 Anton Ekblad <anton@ekblad.cc> - 0.1.0-5
- fixup! Make presence verification method configurable.

* Sun Sep 08 2024 Anton Ekblad <anton@ekblad.cc> - 0.1.0-4
- fixup! Add packaging for Fedora.

* Sun Sep 08 2024 Anton Ekblad <anton@ekblad.cc> - 0.1.0-3
- Better Fedora Makefile targets.

* Sun Sep 08 2024 Anton Ekblad <anton@ekblad.cc> - 0.1.0-2
- Make presence verification method configurable.

* Sun Sep 08 2024 Anton Ekblad <anton@ekblad.cc> - 0.1.0-1
- Add packaging for Fedora.
## END: Generated by rpmautospec
